Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.quick.model.qjml
Class QMTargetEditor

    java.lang.Object
      |
      +--com.jxml.quick.model.qjml.QMCloneable
            |
            +--com.jxml.quick.model.qjml.QMTargetEditor

All Implemented Interfaces:
  Cloneable, QMTarget

public class QMTargetEditor
extends QMCloneable
implements QMTarget

Models the targetEditor element in QJML. The targetEditor element holds the name of a Java class and the PropertyEditor class which creates instances of that Java class.

    DTD:

    <!ELEMENT targetEditor EMPTY>

    <!ATTLIST targetEditor
        editor CDATA #IMPLIED
        target CDATA #REQUIRED
        ID id #IMPLIED
    >

Field Summary
`String` | `editor` Models the editor attribute on the targetEditor element.
`String` | `target` Models the target attribute on the targetEditor element.

Constructor Summary
`QMTargetEditor()`

Method Summary
`String` | `getClassName()` Returns the fully qualified name of the class being described by the coin holding this target element.

Methods inherited from class com.jxml.quick.model.qjml.QMCloneable
`clone, clone, clone`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### editor

    public String editor

  Models the editor attribute on the targetEditor element. The editor attribute names a JavaBean PropertyEditor class. This attribute is optional, as the PropertyEditor class can often be determined from the name of the target class.

### target

    public String target

  Models the target attribute on the targetEditor element. The target attribute names a Java class. This attribute is required.

Constructor Detail

### QMTargetEditor

    public QMTargetEditor()

Method Detail

### getClassName

    public String getClassName()
                        throws SAXException

  Description copied from interface: `QMTarget`
  Returns the fully qualified name of the class being described by the coin holding this target element.
  Specified by:
    `getClassName` in interface `QMTarget`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD